GlobalInfo (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-01

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Class GlobalInfo

- java.lang.Object
- - org.gcube.messaging.accounting.nodeaccountingportlet.client.GlobalInfo

-     public class GlobalInfo
      extends Object

  Author:
    Andrea Manzi (CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GlobalInfo` | `get()`
    `String[]` | `getDates()`
    `String` | `getEnddate()`
    `String` | `getGraphIndex()`
    `String` | `getGraphTitle(String indexType)`
    `String` | `getGraphTypeTitle()`
    `String` | `getGridTitle()`
    `String` | `getGrouping()`
    `String` | `getSelectedGHN()`
    `String` | `getSelectedScope()`
    `String` | `getSelectedServiceClass()`
    `String` | `getSelectedServiceName()`
    `String` | `getStartdate()`
    `String` | `getStatisticTitle(String type)`
    `String` | `getTitle(String type)`
    `String` | `getUser()`
    `void` | `reset()`
    `void` | `setEnddate(String enddate)`
    `void` | `setGraphIndex(String graphIndex)`
    `void` | `setGraphTypeTitle(String graphTypeTitle)`
    `void` | `setGrouping(String grouping)`
    `void` | `setSelectedGHN(String selectedGHN)`
    `void` | `setSelectedScope(String selectedScope)`
    `void` | `setSelectedServiceClass(String selectedServiceClass)`
    `void` | `setSelectedServiceName(String selectedServiceName)`
    `void` | `setStartdate(String startdate)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalInfo

          public GlobalInfo()

  - ### Method Detail

    - #### get

          public static GlobalInfo get()

    - #### getDates

          public String[] getDates()

    - #### getGrouping

          public String getGrouping()

    - #### setGrouping

          public void setGrouping(String grouping)

    - #### getStartdate

          public String getStartdate()

    - #### setStartdate

          public void setStartdate(String startdate)

    - #### getEnddate

          public String getEnddate()

    - #### setEnddate

          public void setEnddate(String enddate)

    - #### getSelectedServiceClass

          public String getSelectedServiceClass()

    - #### setSelectedServiceClass

          public void setSelectedServiceClass(String selectedServiceClass)

    - #### getSelectedServiceName

          public String getSelectedServiceName()

    - #### setSelectedServiceName

          public void setSelectedServiceName(String selectedServiceName)

    - #### getSelectedGHN

          public String getSelectedGHN()

    - #### setSelectedGHN

          public void setSelectedGHN(String selectedGHN)

    - #### getSelectedScope

          public String getSelectedScope()

    - #### setSelectedScope

          public void setSelectedScope(String selectedScope)

    - #### getGraphIndex

          public String getGraphIndex()

    - #### setGraphIndex

          public void setGraphIndex(String graphIndex)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getGridTitle

          public String getGridTitle()

    - #### getTitle

          public String getTitle(String type)

    - #### getStatisticTitle

          public String getStatisticTitle(String type)

    - #### getGraphTitle

          public String getGraphTitle(String indexType)

    - #### getGraphTypeTitle

          public String getGraphTypeTitle()

    - #### setGraphTypeTitle

          public void setGraphTypeTitle(String graphTypeTitle)

    - #### reset

          public void reset()

Copyright © 2014. All Rights Reserved.